package web.multitask.trismegistoservices.rest.BBVA;

import org.json.JSONObject;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;
import web.multitask.trismegistoservices.services.BBVA.bbvaService;

@RestController
@CrossOrigin(origins = "*")
@RequestMapping("bbva")
public class bbvaRest {

    @PostMapping("/private/generate/qr")
    public ResponseEntity<?> generateQR(@RequestBody String json) {
        bbvaService service = new bbvaService();
        JSONObject jsonRequest = new JSONObject(json);
        JSONObject jsonResponse = service.generalService(jsonRequest);
        return ResponseEntity.ok(jsonResponse.toMap());
    }

    @GetMapping("/private/status/qr/{id}")
    public ResponseEntity<?> getStatus( @PathVariable String id) {
        bbvaService service = new bbvaService();
        JSONObject jsonResponse = service.getStatus(id);
        return ResponseEntity.ok(jsonResponse.toMap());
    }

}

